Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::StreamSound3D Class Reference

ストリーム3Dサウンド More...

`#include <StreamSound3D.h>`

Inheritance diagram for Lamp::StreamSound3D:

List of all members.

## Public Member Functions
virtual SoundReader * | getSoundReader ()
| サウンドリーダの取得
virtual StreamPlayer * | getStreamPlayer ()
| ストリームプレーヤの取得
virtual u_int | getSize () const
| サイズの取得
virtual bool | play ()
| 再生
virtual void | stop ()
| 停止
virtual void | setCursor (u_int cursor)
| 再生位置設定
virtual u_int | getCursor () const
| 再生位置取得
virtual void | setLoopCursor (u_int loopCursor)
| ループ位置の設定
virtual u_int | getLoopCursor () const
| ループ位置の取得
virtual bool | useStream () const
| ストリームを使用しているか
virtual bool | isStreamSound3D () const
| ストリーム3Dサウンドかどうか
## Protected Member Functions
| StreamSound3D (DirectSoundBuffer *soundBuffer)
| コンストラクタ
virtual | ~StreamSound3D ()
| デストラクタ
virtual void | setSoundReader (SoundReader *soundReader)
| サウンドリーダの設定
virtual u_int | getPlayFlag ()
| 再生フラグの取得
## Friends
class | SoundManager

## Detailed Description

ストリーム3Dサウンド

Definition at line 39 of file StreamSound3D.h.

## Constructor & Destructor Documentation

Lamp::StreamSound3D::StreamSound3D | ( | DirectSoundBuffer * | soundBuffer | ) | `[protected]`

  | コンストラクタ Parameters:
  soundBuffer | サウンドバッファ
Definition at line 36 of file StreamSound3D.cpp. References NULL.

## Member Function Documentation

u_int Lamp::StreamSound3D::getCursor | ( |  | ) | const`[virtual]`

| 再生位置取得 Returns: 再生位置のバイト数 Reimplemented from Lamp::SoundBuffer. Definition at line 83 of file StreamSound3D.cpp. References Assert, Lamp::StreamPlayer::getCursor(), NULL, and u_int.

u_int Lamp::StreamSound3D::getLoopCursor | ( |  | ) | const`[virtual]`

| ループ位置の取得 Returns: ループ位置のバイト数 Reimplemented from Lamp::Sound. Definition at line 97 of file StreamSound3D.cpp. References Assert, Lamp::StreamPlayer::getLoopCursor(), NULL, and u_int.

virtual u_int Lamp::StreamSound3D::getPlayFlag | ( |  | ) | `[inline, protected, virtual]`

| 再生フラグの取得 Returns: 再生フラグ Implements Lamp::SoundBuffer. Definition at line 153 of file StreamSound3D.h. References u_int.

u_int Lamp::StreamSound3D::getSize | ( |  | ) | const`[virtual]`

| サイズの取得 Returns: サイズ Reimplemented from Lamp::SoundBuffer. Definition at line 59 of file StreamSound3D.cpp. References Assert, Lamp::SoundReader::getSize(), NULL, and u_int. Referenced by setSoundReader().

virtual SoundReader* Lamp::StreamSound3D::getSoundReader | ( |  | ) | `[inline, virtual]`

| サウンドリーダの取得 Returns: サウンドリーダ Definition at line 49 of file StreamSound3D.h.

virtual StreamPlayer* Lamp::StreamSound3D::getStreamPlayer | ( |  | ) | `[inline, virtual]`

| ストリームプレーヤの取得 Returns: ストリームプレーヤ Definition at line 55 of file StreamSound3D.h.

virtual bool Lamp::StreamSound3D::isStreamSound3D | ( |  | ) | const`[inline, virtual]`

| ストリーム3Dサウンドかどうか Returns: ストリーム3Dサウンドならtrue Reimplemented from Lamp::Sound. Definition at line 124 of file StreamSound3D.h.

virtual bool Lamp::StreamSound3D::play | ( |  | ) | `[inline, virtual]`

| 再生 Returns: 正常に再生されればtrue Reimplemented from Lamp::Sound3D. Definition at line 71 of file StreamSound3D.h. References Assert, and NULL.

void Lamp::StreamSound3D::setCursor | ( | u_int | cursor | ) | `[virtual]`

  | 再生位置設定 Parameters:
  cursor | 再生位置のバイト数
Reimplemented from Lamp::SoundBuffer. Definition at line 77 of file StreamSound3D.cpp. References Assert, NULL, and Lamp::StreamPlayer::setCursor().

void Lamp::StreamSound3D::setLoopCursor | ( | u_int | loopCursor | ) | `[virtual]`

  | ループ位置の設定 Parameters:
  loopCursor | ループ位置をバイト数で指定
Reimplemented from Lamp::Sound. Definition at line 91 of file StreamSound3D.cpp. References Assert, NULL, and Lamp::StreamPlayer::setLoopCursor().

void Lamp::StreamSound3D::setSoundReader | ( | SoundReader * | soundReader | ) | `[protected, virtual]`

  | サウンドリーダの設定 Parameters:
  soundReader | サウンドリーダ、ストリーム3Dサウンドによって deleteされる。
Definition at line 47 of file StreamSound3D.cpp. References Assert, Lamp::SoundBuffer::getBufferSize(), getSize(), Lamp::StreamPlayer::initialize(), and NULL.

virtual bool Lamp::StreamSound3D::useStream | ( |  | ) | const`[inline, virtual]`

| ストリームを使用しているか Returns: ストリームを使用しているtrue Reimplemented from Lamp::Sound. Definition at line 118 of file StreamSound3D.h.

The documentation for this class was generated from the following files:

- StreamSound3D.h
- StreamSound3D.cpp